package com.yida.data.school.secondClass.service;


import com.yida.data.common.core.entity.QueryRequest;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;

import com.yida.data.common.core.entity.school.secondClass.EduSecondClassVenueExhibit;
import com.yida.data.school.dto.secondClass.ListVenueExhibitDTO;
import com.yida.data.school.vo.secondClass.VenueExhibitVO;
import io.swagger.annotations.ApiParam;
import java.util.List;
import org.springframework.web.bind.annotation.RequestParam;

/**
*  Service接口
*
* @author zhanghaijun
* @date 2022-04-18 09:39:53
*/
public interface EduSecondClassVenueExhibitService extends IService<EduSecondClassVenueExhibit> {

    /**
     * 分页查询展品
     * @param dto
     * @return
     */
    IPage<VenueExhibitVO> listExhibitPage(ListVenueExhibitDTO dto);

    /**
     * 保存展品
     * @param exhibit
     */
    void saveExhibit(EduSecondClassVenueExhibit exhibit);

    /**
     * 改变分组
     * @param exhibitIds
     * @param groupId
     */
    void changeGroup(Long[] exhibitIds, Long groupId);

    /**
     * 删除展品
     * @param ids
     */
    void delExhibit(List<Long> ids);

    /**
     * 改变排序
     * @param id
     * @param anotherId
     */
    void  changeSort(Long id,Long anotherId);

    VenueExhibitVO getInfo(Long id);

    Integer countExhibit(Long venueId,Long groupId);
}
